%return previousPoint after applying periodic boundary conditions then rounding
function previousPoint = traceBack(current_v, current_point, dt, sizeOfcells, sizew0)

%current_v = [x y z]
%current_point = [i j k]
%dt = constant
%sizeOfcells = [size_x size_y size_z]
%sizew0 = %number of cells ie. [ 100 100 100]

%convert to explicit co-ordinates - to centre of cell
current_point = (current_point - 0.5).*(sizeOfcells);

%trace back with straight line
previousPoint = current_point - (current_v.*dt);

% % % % % periodic boundary conditons
%ceiling
if previousPoint(1) > sizew0(1)
    previousPoint(1) = previousPoint(1) - sizew0(1);
end
if previousPoint(1) < 0
    previousPoint(1) = sizew0(1) + previousPoint(1);
end
%side
if previousPoint(2) > sizew0(2)
    previousPoint(2) = previousPoint(2) - sizew0(2);
end
if previousPoint(2) < 0
    previousPoint(2) = sizew0(2) + previousPoint(2);
end
%front/back
if previousPoint(3) > sizew0(3)
    previousPoint(3) = previousPoint(3) - sizew0(3);
end
if previousPoint(3) < 0
    previousPoint(3) = sizew0(3) + previousPoint(3);
end

%rounding to nearest interger point
previousPoint = ceil(previousPoint);